const { contextBridge, ipcRenderer } = require('electron');

// 暴露安全的 API 到渲染进程
contextBridge.exposeInMainWorld('electronAPI', {
  // 文件系统操作
  getGroups: () => ipcRenderer.invoke('get-groups'),
  createGroup: (groupName) => ipcRenderer.invoke('create-group', groupName),
  deleteGroup: (groupId) => ipcRenderer.invoke('delete-group', groupId),
  createFile: (groupId, fileName) => ipcRenderer.invoke('create-file', groupId, fileName),
  deleteFile: (groupId, fileId) => ipcRenderer.invoke('delete-file', groupId, fileId),
  loadFile: (fileId) => ipcRenderer.invoke('load-file-content', fileId),
  saveFile: (fileId, content) => ipcRenderer.invoke('save-file-content', fileId, content),
  
  // 系统信息
  platform: process.platform
});

contextBridge.exposeInMainWorld('electron', {
  ipcRenderer: {
    invoke: (channel, ...args) => ipcRenderer.invoke(channel, ...args)
  }
});
